#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 brick
version:              2.0
visibility:           public
id:                   brick-2.0-ELdOyYKQRs65x9Ullneutv
key:                  brick-2.0-ELdOyYKQRs65x9Ullneutv
license:              BSD-3-Clause
copyright:            (c) Jonathan Daugherty 2015-2023
maintainer:           Jonathan Daugherty <cygnus@foobox.com>
author:               Jonathan Daugherty <cygnus@foobox.com>
homepage:             https://github.com/jtdaugherty/brick/
synopsis:             A declarative terminal user interface library
description:
    Write terminal user interfaces (TUIs) painlessly with '\''brick'\''! You
    write an event handler and a drawing function and the library does the
    rest.


    > module Main where
    >
    > import Brick
    >
    > ui :: Widget ()
    > ui = str "Hello, world!"
    >
    > main :: IO ()
    > main = simpleMain ui


    To get started, see:

    * <https://github.com/jtdaugherty/brick/blob/master/README.md The README>

    * The <https://github.com/jtdaugherty/brick/blob/master/docs/guide.rst Brick user guide>

    * The demonstration programs in the '\''programs'\'' directory


    This package deprecates <http://hackage.haskell.org/package/vty-ui vty-ui>.

category:             Graphics
abi:                  d818056d3c7b2083c3e8a7f1ae8ea565
exposed:              True
exposed-modules:
    Brick Brick.AttrMap Brick.BChan Brick.BorderMap Brick.Focus
    Brick.Forms Brick.Keybindings Brick.Keybindings.KeyConfig
    Brick.Keybindings.KeyDispatcher Brick.Keybindings.KeyEvents
    Brick.Keybindings.Parse Brick.Keybindings.Pretty Brick.Main
    Brick.Themes Brick.Types Brick.Util Brick.Widgets.Border
    Brick.Widgets.Border.Style Brick.Widgets.Center Brick.Widgets.Core
    Brick.Widgets.Dialog Brick.Widgets.Edit Brick.Widgets.FileBrowser
    Brick.Widgets.List Brick.Widgets.ProgressBar Brick.Widgets.Table
    Data.IMap

hidden-modules:
    Brick.Types.Common Brick.Types.TH Brick.Types.EventM
    Brick.Types.Internal Brick.Widgets.Internal

import-dirs:          /usr/lib/ghc-9.4.8/site-local/brick-2.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/brick-2.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/brick-2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-brick
hs-libraries:         HSbrick-2.0-ELdOyYKQRs65x9Ullneutv
depends:
    base-4.17.2.1 bimap-0.5.0-ISwTwI595zOIYPhebe53AZ
    bytestring-0.11.5.3 config-ini-0.2.7.0-22OmYAscLar9iw41qsgpBl
    containers-0.6.7 data-clist-0.2-7ozEXOuAGMLL2tcgHIK5nH
    deepseq-1.4.8.0 directory-1.3.7.1 exceptions-0.10.5
    filepath-1.4.2.2 microlens-0.4.13.1-BCmTOusOWAwKF1xfvNhRYd
    microlens-mtl-0.2.0.3-vQELA1onhlLfPXHvjZtx7
    microlens-th-0.4.3.17-Vfga0HXPTS6SXD3NuXqZ3 mtl-2.2.2 stm-2.5.1.0
    template-haskell-2.19.0.0 text-2.0.2
    text-zipper-0.13-7825E5LSO8iK352XmtuuW0
    unix-compat-0.7.3-G3im3gOYZyP8TKlJWM6HA7
    vector-0.13.2.0-F8322NeNtfL69paM3N9AVt
    vty-6.2-6VcQ2HQq2IF3XHzl3A2Dxk
    vty-crossplatform-0.4.0.0-EyXUpN2SZIeXbXSd8QPHh
    word-wrap-0.5-FmZj065c6st7NckzQoL7UC

haddock-interfaces:   /usr/share/doc/haskell-brick/html/brick.haddock
haddock-html:         /usr/share/doc/haskell-brick/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

